### Name: BenchmarkAnalysis
### Title: Utilities and Benchmark Analysis
### Aliases: BenchmarkAnalysis ohlcPlot sharpeRatio sterlingRatio
###   maxDrawDown getReturns
### Keywords: math

### ** Examples

## ohlcPlot -
   # Plot OHLC for SP500
   # ohlcPlot(x, ylab = "price", main = instrument)
   
## sharpeRatio -
   xmpSeries("\nStart: Sharpe Ratio > ")
   # Sharpe Ratio for DAX and FTSE:
   data(EuStockMarkets)
   dax = log(EuStockMarkets[, "DAX"])
   ftse = log(EuStockMarkets[, "FTSE"])
   # Ratios:
   sharpeRatio(dax)
   sharpeRatio(ftse)
   
## maxDrawDown -
   xmpSeries("\nNext: Max-Draw-Downs for the DAX Index >")
   par(mfrow = c(1, 1))
   data(EuStockMarkets)
   dax = log(EuStockMarkets[, "DAX"])
   mdd = maxDrawDown(dax)
   mdd
   # Plot DAX:
   plot(dax)
   segments(time(dax)[mdd$from], dax[mdd$from],
     time(dax)[mdd$to], dax[mdd$from], col = "grey")
   segments(time(dax)[mdd$from], dax[mdd$to],
     time(dax)[mdd$to], dax[mdd$to], col = "grey")
   mid = time(dax)[(mdd$from + mdd$to)/2]
   arrows(mid, dax[mdd$from], mid, dax[mdd$to], col = "red", length = 0.16)
   title(main = "DAX: Max Drawdown")
   
## getReturns -
   xmpSeries("\nNext: Returns for the DAX Index >")
   par(mfrow = c(1, 1))
   data(EuStockMarkets)
   dax = log(EuStockMarkets[, "DAX"])
   plot(getReturns(dax))
   title(main = "DAX: Returns")



